
public class Class430 {

   int anInt5388;
   int anInt5389;
   int anInt5390;
   int anInt5391;
   int anInt5392;
   static int anInt5393;


   public int method7288() {
      return 1085895377 * this.anInt5391;
   }

   public int hashCode() {
      return 1085895377 * this.anInt5391;
   }

   public int method7289() {
      return 1085895377 * this.anInt5391;
   }

   Class430(int var1, int var2, int var3, int var4, int var5) {
      this.anInt5391 = -1617549775 * var1;
      this.anInt5389 = var2 * 371033139;
      this.anInt5388 = -1921596013 * var3;
      this.anInt5390 = var4 * 834707209;
      this.anInt5392 = -484725831 * var5;
   }

   public int method7290() {
      return 1085895377 * this.anInt5391;
   }

   static final void method7291(int var0, int var1, int var2, int var3, int var4, int var5, int var6, int var7) {
      if(2106080509 * client.anInt7717 == 0) {
         int var8 = -583589671 * Class184.anInt2209;
         int[] var9 = Class184.anIntArray2204;

         int var10;
         for(var10 = 0; var10 < var8; ++var10) {
            Class515_Sub1_Sub4_Sub4_Sub1 var11 = client.aClass515_Sub1_Sub4_Sub4_Sub1Array7799[var9[var10]];
            if(var11 != null) {
               var11.method16654(var0, var1, var2, var3, var4, var5, var6, (byte)9);
            }
         }

         for(var10 = 0; var10 < 1002221073 * client.anInt7922; ++var10) {
            int var13 = client.anIntArray7697[var10];
            ObjectVar var12 = (ObjectVar)client.aClass423_7693.method7211((long)var13);
            if(null != var12) {
               ((Class515_Sub1_Sub4_Sub4)var12.object).method16654(var0, var1, var2, var3, var4, var5, var6, (byte)9);
            }
         }

      }
   }

   static final void method7292(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      int var2 = var0.anIntArray6027[var0.anInt6003 * -937710807];
      int var3 = var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
      Class225_Sub4 var4 = (Class225_Sub4)client.aClass423_7832.method7211((long)var2);
      if(null != var4 && var3 == -165881631 * var4.anInt8385) {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 1;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }

   static void method7293(Class443_Sub1 var0, int var1, int var2) {
      var0.method13357(2, (byte)15);
      byte var3;
      if(var1 > 12005) {
         Class34.method876(-882817993);
         var3 = 4;
      } else if(var1 > 5094) {
         Class251_Sub1.method14261(755356176);
         var3 = 3;
      } else if(var1 > 2027) {
         Class7.method606((byte)8);
         var3 = 2;
      } else {
         Class411.method7082(true, 1643603557);
         var3 = 1;
      }

      if(Class500.aClass225_Sub6_5953.aClass463_Sub15_8472.method12922((byte)-86) != 2) {
         Class500.aClass225_Sub6_5953.method13522(Class500.aClass225_Sub6_5953.aClass463_Sub15_8479, 2, -492504114);
         Class62_Sub2.method13095(2, false, 1565166678);
      } else {
         Class500.aClass225_Sub6_5953.method13502(Class500.aClass225_Sub6_5953.aClass463_Sub15_8472, true, (byte)24);
      }

      Class7.method605(-1358477367);
      var0.method13356(var3, 272306948);
   }
}
